%define daemon_user monitor
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache

Name: monitor-wizard
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: op5 monitor wizard
Group: op5/monitor
Prefix: /opt/monitor/op5/ninja/modules
Requires: monitor-ninja
Requires: monitor-http-api
BuildRequires: monitor-ninja-devel
Source: %name-%version.tar.gz

%description
Wizard used to add monitoring objects to op5 monitor

%package test
Summary: Test files for wizard
Group: op5/monitor
Requires: monitor-wizard = %version
Requires: monitor-ninja-test
Requires: php-phpunit-PHPUnit
Requires: portal
Requires: gcc
Requires: phantomjs
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif
Requires: op5license-tests
# our tests won't run without this particular supported-database
Requires: op5-mysql

%description test
Additional test files for wizard

%prep
%setup -q

%pre

%build
make

%install
mkdir -p %buildroot%prefix
cp -r wizard %buildroot%prefix
cp -a features %buildroot%prefix/features

%post


%preun


%postun


%files
%defattr(664,%daemon_user,%daemon_group,775)
%prefix/wizard
%exclude %prefix/features

%files test
%defattr(664,%daemon_user,%daemon_group,775)
%prefix/features

%clean
rm -rf %buildroot
